// priority: 0

onEvent('recipes', event => {
    //removal
    removeRecipeByID(event, [
        SH("speedyhopper_mk1"),
        SH("speedyhopper_mk2"),
        SH("speedyhopper_mk3"),
    ])
    
    event.shaped(SH('speedyhopper_mk1'), [
		'A A',
		'ABA',
		' A '
	], {
		A: F('#ingots/iron'),
		B: MC('hopper'),
	})
    
    event.shaped(SH('speedyhopper_mk2'), [
		'A A',
		'ABA',
		' A '
	], {
		A: F('#ingots/gold'),
		B: SH('speedyhopper_mk1'),
	})
    
    event.shaped(SH('speedyhopper_mk3'), [
		'A A',
		'ABA',
		' A '
	], {
		A: F('#gems/diamond'),
		B: SH('speedyhopper_mk2'),
	})
})